subtle - Bug #192

Fresh arch install, subtle trace.
05/06/2011 12:58 AM - Patryk Pasierbski

Status: Not a bug Start date: 05/06/2011
Priority: High Due date:

Assignee: Christoph Kappel % Done: 0%
Category: Bugfix Estimated time: 0.00 hour
Target version:

Description

Hello!

| wanted to try subtle on my fresh arch install.

When | run subtle or even try to replace current WM | get:
[code]

subtle 0.9.2773 - Copyright (c) 2005-2011 Christoph Kappel
Released under the GNU General Public License

Compiled for X11R0 and Ruby 1.9.1

Display (:0) is 1680x1050

Running on 1 screen(s)

Using config “/etc/xdg/subtle/subtle.rb’

Last 8 stack frames:

subtle() [0x80653b3]

[0xb779840c]

subtle() [0x804ca7d]

subtle() [0x8057fa7]

subtle() [0x805c446]

subtle() [0x80627ce]

subtle() [0x8065cfc]
/lib/libc.so0.6(__libc_start_main+0xf3) [0xb7337103]
[/code]

And nothing happens...

Default Arch configs, nothing changed.

History

#1 - 05/06/2011 10:19 AM - Christoph Kappel

Hum, that backtrace makes no sense, there is no way that subtle can jump into that function on start. How do you start subtle? What is running? Can
you check if that happens with subtle-hg from AUR, too?

#2 - 05/06/2011 12:09 PM - Patryk Pasierbski
- File subtlestart.log added
Christoph Kappel wrote:
Hum, that backirace makes no sense, there is no way that subtle can jump into that function on start. How do you start subtle? What is running?

Can you check if that happens with subtle-hg from AUR, too?

| use startx (exec subtle) or subtle --replace when using DWM.
Nothing is running.
Here's new log when | try to start subtle-hg.

#3 - 05/06/2011 05:43 PM - Christoph Kappel

Hm, can you please remove the default config from /etc/xdg/subtle and use the one that comes with subtle-hg? Currently both versions have a slightly
different config and both aren't compatible.

Any chance that you installed subtle previously and pacman installed the new config just as subtle.rb.pacnew?

#4 - 05/08/2011 09:25 PM - Patryk Pasierbski
Christoph Kappel wrote:
Hm, can you please remove the default config from /etc/xdg/subtle and use the one that comes with subtle-hg? Currently both versions have a

slightly different config and both aren't compatible.

Any chance that you installed subtle previously and pacman installed the new config just as subtle.rb.pacnew?

I'm sure that | used config for subtle-hg when using it ;)

#5 - 05/08/2011 10:50 PM - Christoph Kappel

| rather wanted to know, if you used the latest config when switching to -hg. Currently the config of the stable and the -hg aren't compatible. :p

Since | cannot reproduce that can please provider a proper backtrace? See here how to do that

#6 - 06/08/2011 01:02 PM - Christoph Kappel
- Status changed from Unconfirmed to Feedback
- Assignee set to Non member users

- Priority changed from Immediate to High

Is this still a problem?

#7 - 08/07/2011 03:16 PM - Christoph Kappel
- Status changed from Feedback to Not a bug

Files

subtlestart.log 7.02 KB
